
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "nscript/version"

Gem::Specification.new do |spec|
  spec.name          = "nscript"
  spec.version       = NScript::VERSION
  spec.authors       = ["Storm Burpee", "Jared Bowers"]
  spec.email         = ["storm@appflow.com.au", "jared@appflow.com.au"]

  spec.summary       = "The NScript Compiler"
  spec.homepage      = "https://nscript.io"
  spec.license       = "MIT"
  spec.description   = <<-END
NScript is a little language that compiles into JavaScript.
NScript is a faster, quicker way to write performant JS code.
END

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  
  spec.executables   = ["nscript"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
